### Hierarchy

- IModelMetaDataDocument

## Index

### Properties

- available
- created
- deleted
- details
- modelId
- subscribed
- syncRequired
- uncommitted

## Properties

### Optionalavailable

available: number

### Optionalcreated

created: number

### Optionaldeleted

deleted: number

### Optionaldetails

details: object

#### Type declaration

- ##### collection: string

- ##### createdTime: Date

- ##### lastSequenceNumber: number

- ##### modifiedTime: Date

- ##### permissions: object

  - ##### manage: boolean

  - ##### read: boolean

  - ##### remove: boolean

  - ##### write: boolean

- ##### snapshotSequenceNumber: number

- ##### snapshotVersion: number

- ##### valueIdPrefix: object

  - ##### increment: number

  - ##### prefix: string

- ##### version: number

### modelId

modelId: string

### Optionalsubscribed

subscribed: number

### OptionalsyncRequired

syncRequired: number

### Optionaluncommitted

uncommitted: number